org.apache.hc.client5.http.impl

## Class TunnelRefusedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.hc.core5.http.HttpException
      - - org.apache.hc.client5.http.impl.TunnelRefusedException

- All Implemented Interfaces:
    Serializable

  Deprecated.
  Do not use/

      @Deprecated
      public class TunnelRefusedException
      extends org.apache.hc.core5.http.HttpException

  Signals that the tunnel request was rejected by the proxy host.
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TunnelRefusedException(org.apache.hc.core5.http.HttpResponse response)` Deprecated.
    `TunnelRefusedException(String message, String responseMessage)` Deprecated. Do not use.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hc.core5.http.HttpResponse` | `getResponse()` Deprecated.
    `String` | `getResponseMessage()` Deprecated. Use `getResponse()`.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TunnelRefusedException

          @Deprecated
          public TunnelRefusedException(String message,
                                                    String responseMessage)

      Deprecated. Do not use.

    - #### TunnelRefusedException

          @Internal
          public TunnelRefusedException(org.apache.hc.core5.http.HttpResponse response)

      Deprecated.

  - ### Method Detail

    - #### getResponseMessage

          @Deprecated
          public String getResponseMessage()

      Deprecated. Use `getResponse()`.

    - #### getResponse

          public org.apache.hc.core5.http.HttpResponse getResponse()

      Deprecated.
      Since:
        5.4

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.